stest:fmt:
  image: registry.gitlab.com/sbenv/veroxis/images/sdks/rust:1.80.1-x86_64-unknown-linux-musl
  needs: []
  interruptible: true
  script: cargo +nightly fmt -- --check

test:clippy:
  image: registry.gitlab.com/sbenv/veroxis/images/sdks/rust:1.80.1-x86_64-unknown-linux-musl
  needs: []
  interruptible: true
  script: cargo clippy --all-features -- -D warnings

test:tests:
  image: registry.gitlab.com/sbenv/veroxis/images/sdks/rust:1.80.1-x86_64-unknown-linux-musl
  needs: []
  interruptible: true
  script: cargo test --all-targets
